Last Comment Bug 700054 - Emoticons not displayed in pull-down menu using GNOME desktop
: Emoticons not displayed in pull-down menu using GNOME desktop
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Message Compose Window (show other bugs)
: 7 Branch
: All Linux
: -- normal (vote)
: Thunderbird 11.0
Assigned To: Jim Porter (:squib)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-05 12:37 PDT by Edward
Modified: 2011-11-14 19:21 PST (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Fix this (667 bytes, patch)
2011-11-05 15:30 PDT, Jim Porter (:squib)
bwinton: review+
mconley: ui‑review+
standard8: approval‑comm‑aurora+
Details | Diff | Review

Description Edward 2011-11-05 12:37:25 PDT
The Emoticons are not displayed with their descriptions on the pull-down menu in the mail compose window of both Thunderbird 7.0.1 and SeaMonkey 2.5b3, when using the GNOME desktop in Linux.  Linux distribution is Debian 6.0.3 (Squeeze), 32-bit (i686).

When using either TB or SM with the XFCE or LXDE desktops, the emoticons display as expected.
Comment 1 Jim Porter (:squib) 2011-11-05 15:30:14 PDT
Created attachment 572233 [details] [diff] [review]
Fix this

This is easy enough to fix. We just need to override the Gnome-inherited "hide menu icons" CSS.
Comment 2 Edward 2011-11-06 05:03:43 PST
Also affects 64-bit Linux.
Comment 3 Blake Winton (:bwinton) (:☕️) 2011-11-09 08:31:23 PST
Comment on attachment 572233 [details] [diff] [review]
Fix this

Review of attachment 572233 [details] [diff] [review]:
-----------------------------------------------------------------

The code looks good, so r=me, but I don't have a handy Linux VM, so I'm going to pass the ui-review off to mconley.

Thanks,
Blake.
Comment 4 Mike Conley (:mconley) - (Needinfo me!) 2011-11-09 08:36:02 PST
Comment on attachment 572233 [details] [diff] [review]
Fix this

Hooray, I see emoticons in the dropdown. :D

Looks good - ui-r=me.
Comment 5 Jim Porter (:squib) 2011-11-10 22:32:30 PST
Checked in: http://hg.mozilla.org/comm-central/rev/ae509ec7b123
Comment 6 Jim Porter (:squib) 2011-11-14 19:21:14 PST
Checked in on Aurora: http://hg.mozilla.org/releases/comm-aurora/rev/3deba8f0c001

Note You need to log in before you can comment on or make changes to this bug.